---
title: "Get freeform invites"
url: "https://docs.signnow.com/docs/doc-freeform-invite/operations/get-v2-documents-document_id-free-form-invites"
type: "endpoint"
section: "doc-freeform-invite"
slug: "doc-freeform-invite/operations/get-v2-documents-document_id-free-form-invites"
method: "GET"
path: "/v2/documents/{document_id}/free-form-invites"
operation_id: "get-v2-documents-document_id-free-form-invites"
authorization: "bearer"
---

# Get freeform invites

`GET /v2/documents/{document_id}/free-form-invites`

Retrieve the list of FreeForm invites by document ID.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `document_id` | string | Yes | ID of the document. |

## Query Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `per_page` | integer | No | How many search items to view per page. Allowed values: positive integers from 1 to 100. |
| `page` | integer | No | How many pages to fit the results in. Allowed values: any positive integer starting from 1. |
| `filters` | array | No | JSON encoded array of filters. |

## Responses

### 200

* Correct request (invite has been sent)
* Invite has been canceled
* No invites
* Invite is accepted, document is signed

**Example** (`Example 1`)

```json
{
  "data": [
    {
      "id": "395a2cd89d3048a1856dbe1cdb144f519b82857e",
      "email": "jessicamoorejm843@gmail.com",
      "status": "canceled",
      "created": 1735658991
    }
  ],
  "meta": {
    "pagination": {
      "count": 1,
      "links": [],
      "total": 1,
      "per_page": 15,
      "total_pages": 1,
      "current_page": 1
    }
  }
}
```

**Example** (`No invites`)

```json
{
  "meta": {
    "pagination": {
      "count": 1,
      "links": [],
      "total": 1,
      "per_page": 15,
      "total_pages": 1,
      "current_page": 1
    }
  }
}
```

**Example** (`Invite has been canceled`)

```json
{
  "data": [
    {
      "id": "5bXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "email": "signer1@email.com",
      "status": "canceled",
      "created": 1578561895
    }
  ],
  "meta": {
    "pagination": {
      "count": 1,
      "links": [],
      "total": 1,
      "per_page": 15,
      "total_pages": 1,
      "current_page": 1
    }
  }
}
```

**Example** (`Correct request (invite sent)`)

```json
{
  "data": [
    {
      "id": "5bXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "email": "signer1@email.com",
      "status": "pending",
      "created": 1578561895
    }
  ],
  "meta": {
    "pagination": {
      "count": 1,
      "links": [],
      "total": 1,
      "per_page": 15,
      "total_pages": 1,
      "current_page": 1
    }
  }
}
```

**Example** (`Invite accepted, document signed`)

```json
{
  "data": [
    {
      "id": "96XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "email": "signer1@email.com",
      "status": "fulfilled",
      "created": 1578562606
    }
  ],
  "meta": {
    "pagination": {
      "count": 2,
      "links": [],
      "total": 2,
      "per_page": 15,
      "total_pages": 1,
      "current_page": 1
    }
  }
}
```

### 400

* Invalid authorization
* Document not found

**Example** (`Document not found`)

```json
{
  "errors": [
    {
      "code": 65582,
      "message": "Document not found"
    }
  ]
}
```

**Example** (`Invalid authorization`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/documents/{document_id}/free-form-invites" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/doc-freeform-invite/operations/get-v2-documents-document_id-free-form-invites*
